### Virtual Method

# Foundry Vcs find_file

#### Declaration [src]

    DexFuture*
    find_file (
      FoundryVcs* self,
      GFile* file
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  The file to locate.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsFile` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.